/*
 * vim: ts=4 nobackup
 */


#ifndef  __LEDGROUP_H__
#define  __LEDGROUP_H__


#include <stdint.h>


extern "C++" {
	namespace avelino {
		class LedGroup {
			public:
				virtual uint8_t getNumLeds() = 0;
				virtual void setLed(uint8_t index, bool v) = 0;
		};
	}
}


#endif  // __LEDGROUP_H__
