/*
 * vim: ts=4 nobackup
 */


#ifndef  __RTCRESETLED_H__
#define  __RTCRESETLED_H__


#include <stdint.h>
#include "RTCResetButtonListener.H"


extern "C++" {
	namespace avelino {
		class RTCResetLed : public RTCResetButtonListener {
			protected:
				int8_t timerHandler;
				bool buttonPressed;
				uint8_t status;
			public:
				void init();
				void run();
				void RTCResetButtonPressed();
		};
	}
}


#endif  // __RTCRESETLED_H__
