/*
 * vim: ts=4 nobackup
 */


#ifndef  __RTCOBSERVER_H__
#define  __RTCOBSERVER_H__


#include <stdint.h>
#include "RTCListener.H"


extern "C++" {
	namespace avelino {
		class RTCObserver {
			protected:
				static int8_t timerHandler;
				static uint8_t status;
				static RTCListener *listener;
			public:
				static void init(RTCListener &l);
				static void run();
		};
	}
}


#endif  // __RTCOBSERVER_H__
