/*
 * vim: ts=4 nobackup
 */


#ifndef  __RTCRESETBUTTON_H__
#define  __RTCRESETBUTTON_H__


#include <stdint.h>
#include "RTCResetButtonListener.H"


extern "C++" {
	namespace avelino {
		class RTCResetButton {
			protected:
				static int8_t timerHandler;
				static uint8_t status;
				static RTCResetButtonListener *listener;
			public:
				static void init(RTCResetButtonListener &l);
				static void run();
		};
	}
}


#endif  // __RTCRESETBUTTON_H__
